### Method

# Json Generator get_root

since: 0.14

#### Declaration [src]

    JsonNode*
    json_generator_get_root (
      JsonGenerator* generator
    )

#### Description [src]

Retrieves a pointer to the root node set using `json_generator_set_root()`.

Available since: 0.14

Gets property | `Json.Generator:root`

#### Return value

Type: `JsonNode`

The root node.

The data is owned by the instance.
The return value can be `NULL`.